import { Response } from 'express';
import { AuthRequest } from '../../../middleware/auth';
import { userService } from '../../../services/userService';


// Список авторов - без permissions и без чистых админов
export async function getAuthors(req: AuthRequest, res: Response): Promise<void> {
  try {
    const authors = await userService.getAuthors();
    res.json(authors);
  } catch {
    res.status(500).json({ error: 'Server error' });
  }
}
